org.apache.ignite.internal.management.snapshot

## Class AbstractSnapshotCommand<A extends IgniteDataTransferObject>

- java.lang.Object
- - org.apache.ignite.internal.management.snapshot.AbstractSnapshotCommand<A>

All Implemented Interfaces:
  Command<A,SnapshotTaskResult>, ComputeCommand<A,SnapshotTaskResult>

Direct Known Subclasses:
  SnapshotCancelCommand, SnapshotCheckCommand, SnapshotCreateCommand, SnapshotRestoreCommand, SnapshotStatusCommand

    public abstract class AbstractSnapshotCommand<A extends IgniteDataTransferObject>
    extends Object
    implements ComputeCommand<A,SnapshotTaskResult>

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.management.api.Command

`CMD_NAME_POSTFIX`

### Constructor Summary

Constructors
Constructor and Description
`AbstractSnapshotCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `printResult(A arg, SnapshotTaskResult res, Consumer<String> printer)` Prints command result to the user.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.management.api.ComputeCommand

`nodes, taskClass`

### Methods inherited from interface org.apache.ignite.internal.management.api.Command

`argClass, confirmationPrompt, deprecationMessage, description`

### Constructor Detail

#### AbstractSnapshotCommand

    public AbstractSnapshotCommand()

### Method Detail

#### printResult

    public void printResult(A arg,
                            SnapshotTaskResult res,
                            Consumer<String> printer)

Prints command result to the user.

Specified by:
  `printResult` in interface `ComputeCommand<A extends IgniteDataTransferObject,SnapshotTaskResult>`
Parameters:
  `arg` - Argument.
  `res` - Result.
  `printer` - Implementation specific printer.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023